/*
 *  Copyright (C) 2000  Henk de Groot - PE1DNN
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *  Please note that the GPL allows you to use the driver, NOT the radio.
 *  In order to use the radio, you need a license from the communications
 *  authority of your country.
 */

#ifndef MAC_IF_H
#define MAC_IF_H

#define NULL ((void *) 0)

#define L2PNUM   8                      /* Number of Ports                */
#define L2VNUM   8                      /* Anzahl ID's im via-Feld        */
#define L2CALEN  6                      /* Laenge Call im Level 2         */
#define L2IDLEN  (L2CALEN + 1)          /* Laenge Call + SSID = ID        */
#define L2VLEN   (L2VNUM * L2IDLEN)     /* Laenge via-Feld                */

#define idisable()          { _asm  pushf \
                              _asm  cli  }
#define irestore()          { _asm  popf }

#define MAXFLEN 400     /* Maximum length of a frame */

/* struct for storing RX and TX packets */
typedef struct
{
    int  len;                   /* length of the frame */
    char port;                  /* port number */
    char frame[MAXFLEN];        /* L1 frame without CRC */
} frame_t;

/* Buffer pool structure */
typedef struct pool_s {
   struct pool_s *next;         /* Pointer to next buffer in pool or list   */
   frame_t        l1frame;      /* L1 frame buffer                          */
} pool_t;

typedef struct admin_s {
    pool_t *tx_buf;
    pool_t *tx_act;
    pool_t *rx_act;
    int     tx_pos;
    int     rx_pos;
} admin_t;

/* struct to return debug info */
typedef struct
{
    int       buf_free;
    char far *next_free;
    char far *rx_buf;
    char far *rx_act[8];
    char far *rx_pos[8];
    char far *tx_buf[8];
    char far *tx_act[8];
    char far *tx_pos[8];
    char far *minmem;
    char far *maxmem;
} debug_t;

typedef enum {false, true}  bool;

extern unsigned char l1ports;

extern unsigned char defPp, defWp, defTp, defXp, defCp, defDp;

extern unsigned short defTAp;

/* Clock repair variable and function */
extern bool clock_error;
void set_pit(void);

#endif /* MAC_IF_H */
