#
# Example lookup program, used for the "whois" query
#
# The query is defined as follows
#
# ?whois *
# !./Sample.lnx/whois.sh %q
# >./Sample.lnx/whois.out
# !/bin/rm ./Sample.lnx/whois.out
#
# This means that this program is called with the original query as
# argument. The output should be stored in ./Sample.lnx/whois.out since
# that is according to the query the file which is read after this
# program ran. The last line is to cleanup.
#
echo Query: $*
#
# Well, we don't have a real database here so we just fake...
#
# whois.db is created with a script from frames retrieved at the
# APRS QRG
#
(
grep -i "^$2[^A-Z]" ./Sample.lnx/whois.db
if [ $? -ne 0 ]
then
    echo `echo $2 | tr "[a-z]" "[A-Z]"` "not   in APRS log"
fi
) > ./Sample.lnx/whois.out
